%global unique_name eu.tiliado.Nuvola

Name:           nuvola-app-siriusxm
Version:        1.3
Release:        1%{?dist}
Summary:        SiriusXM script for Nuvola Player 3
# The entire source code is BSD except src/icon*.svg which is CC-BY
License:        BSD and CC-BY-SA
URL:            https://github.com/tiliado/nuvola-app-siriusxm
Source0:        https://github.com/tiliado/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.metainfo.xml

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  nuvolasdk >= 4.5.0
BuildRequires:  python3-six
Requires:       hicolor-icon-theme
Requires:       %{_bindir}/nuvola

BuildArch:      noarch


%description
Integration of SiriusXM into your Linux desktop via Nuvola Player.

%prep
%setup -q

%build
%configure
%make_build


%install
%make_install

# Register as an application to be visible in the software center
mkdir -p %{buildroot}%{_datadir}/appdata
cp  %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc CHANGELOG.md README.md
%license LICENSE-BSD.txt LICENSE-CC-BY.txt
%{_datadir}/applications/%{unique_name}AppSiriusxm.desktop
%{_datadir}/appdata/%{name}.metainfo.xml
%{_datadir}/icons/*/*/*/%{unique_name}AppSiriusxm.*
%dir %{_datadir}/nuvolaruntime/web_apps
%{_datadir}/nuvolaruntime/web_apps/siriusxm/


%changelog
* Fri Jul 28 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.3-1
- initial build
